Set domain policy settings
curl --request PATCH \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/policies/{policy_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"mode": true
}'import requests
url = "https://api.gcore.com/waap/v1/domains/{domain_id}/policies/{policy_id}"
payload = { "mode": True }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({mode: true})
};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/policies/{policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mode": true
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"title": "Feature check fail",
"type": "feature-check",
"status": 401,
"detail": "This feature is not available under your current plan. Please upgrade your plan to access this feature."
}{
"detail": "Permission denied"
}{
"title": "Resource not found",
"type": "quota-check-no-resource",
"status": 404,
"detail": "The quota resource requested does not exist. Cannot enable WAAP for this domain. Please reach out to our support team."
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Policies
Set domain policy settings
Configure a security policy on a domain.
PATCH
/
waap
/
v1
/
domains
/
{domain_id}
/
policies
/
{policy_id}
Set domain policy settings
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
The domain ID
The ID of the policy to toggle
Body
application/json
Configurable settings of a security rule (a.k.a. policy) on a domain.
Indicates if the security rule is active
Response
Successful Response
Configurable settings of a security rule (a.k.a. policy) on a domain.
Indicates if the security rule is active
Was this page helpful?
⌘I